org.keycloak.dom.saml.v1.protocol

## Class SAML11ResponseAbstractType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType
  - - org.keycloak.dom.saml.v1.protocol.SAML11ResponseAbstractType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SAML11ResponseType

      public abstract class SAML11ResponseAbstractType
      extends CommonResponseType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `majorVersion`
    `protected int` | `minorVersion`
    `protected URI` | `recipient`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `id, inResponseTo, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11ResponseAbstractType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `URI` | `getRecipient()`
    `void` | `setRecipient(URI recipient)`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `getID, getInResponseTo, getIssueInstant, getSignature, setInResponseTo, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### majorVersion

          protected int majorVersion

    - #### minorVersion

          protected int minorVersion

    - #### recipient

          protected URI recipient

  - ### Constructor Detail

    - #### SAML11ResponseAbstractType

          public SAML11ResponseAbstractType(String id,
                                            XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### getRecipient

          public URI getRecipient()

    - #### setRecipient

          public void setRecipient(URI recipient)

Copyright © 2020 JBoss by Red Hat. All rights reserved.